#ifndef _HF_PLAY_
#define _HF_PLAY_

#include <stdbool.h>

typedef struct Play Play;

#include "card.h"

struct Play {
  Card *played;
  Card *target;
};

bool valid_play(Hand *field, Card *played, Card *target);
Card *valid_target(Card *active, Hand *field);
Play ai_play(Hand *hand, Hand *field);

#endif
